.TH gdbm_delete() "" "" "GDBM Function"
.PC "Delete a record from a GDBM data base"
.B "#include <gdbm.h>"
\fBint gdbm_delete (\fIdatabase\^\fB, \fIkey\^\fB)\fR
\fBGDBM_FILE \fIdatabase\^\fB;\fR
\fBdatum \fIkey\^\fB;\fR
.PP
Function
.B gdbm_delete()
deletes a the record with
.I key
from the data base to which
.I database
points.
.I database
must have been returned by a call to
.BR gdbm_open() .
.PP
If all goes well,
.B gdbm_delete()
returns zero.
It returns \-1 if
.I database
did not contain a record with
.IR key ,
or if
.I database
were opened into read-only mode.
.SH "See Also"
.XR "gdbm.h," gdbm.h
.XR "gdbm_open()," gdbm_open
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
